package main

/**
1. go 语言一些数据类型:布尔型，数字类型，字符串，派生类型
2. 变量名由字母、数字、下划线组成，其中首个字母不能为数字。
*/

import (
	"fmt"
)

// 数字类型
func intVar() {
	var a = 2
	var b = 1.5
	fmt.Println(a, b)
}

// 字符串
func charVar() {
	var (
		a int
		b bool
	)
	var c, d int = 1, 2
	var e, f = 123, "hello"
	fmt.Println(a, b, c, d, e, f)
}

// 常量
func constVar() {
	const LENGTH int = 10
	const WIDTH int = 5
}
